Subject: [GIT PULL] Ux500 pin changes

From: [email-masked] (Lee Jones)
Date: Thu, 15 Nov 2012 11:20:32 +0000

On Thu, 15 Nov 2012, Linus Walleij wrote:

> On Mon, Nov 12, 2012 at 11:35 PM, Arnd Bergmann <[email-masked]> wrote:
> 
> > u8500_defconfig now gives me two new errors in arm-soc/for-next when building with
> > -Werror:
> >
> > arch/arm/mach-ux500/board-mop500-pins.c:73:22: error: 'out_hi_wkup_pdis' defined but not used [-Werror=unused-variable]
> 
> I've sent a fix for this, could you apply that patch directly to the
> drivers branch?
> 
> > and the existing:
> >
> > ERROR (phandle_references): Reference to non-existent node or label "tc3589x_gpio"
> >
> > Can you provide patches to fix these up?
> 
> What on earth is that? Lee, do you know how to fix this one up, I shamelessly
> assume it to be related to commit:
> commit 3113e679021a3a6bace1c62a8432cc0ec27c09ab
> "gpio: Enable the tc3298x GPIO expander driver for Device Tree"

I haven't seen this error.

Which kernel is this? How do I reproduce?

-- 
Lee Jones
Linaro ST-Ericsson Landing Team Lead
Linaro.org ? Open source software for ARM SoCs
Follow Linaro: Facebook | Twitter | Blog